--           <Blue Moon>
--Night colour replacement by Bookishg

--Due to wonkiness, the game treats the red colour value as blue instead. It's weird I know!
--Colour(B,G,R,A)

local Original_ClimateMain = ClimateMain.onClimateManagerInit

local function AdjustNightColoring(CM)
    local Res = Original_ClimateMain
    local Color;
    Color = CM:getColNightMoon()
    Color:setExterior(0.75,0.33,0.33,0.8);
    Color:setInterior(0.12,0.13,0.4,0.4);

    Color = CM:getColNightNoMoon();
    Color:setExterior(0.66,0.25,0.25,0.8);
    Color:setInterior(0.06,0.06,0.35,0.4);
    return Res
end

Events.OnClimateManagerInit.Add(AdjustNightColoring)